| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XSValue Class Reference

Inheritance diagram for XSValue:

[legend]
Collaboration diagram for XSValue:

[legend]
List of all members.

## Public Types

enum

DataType {
dt_string = 0, dt_boolean = 1, dt_decimal = 2, dt_float = 3,
dt_double = 4, dt_duration = 5, dt_dateTime = 6, dt_time = 7,
dt_date = 8, dt_gYearMonth = 9, dt_gYear = 10, dt_gMonthDay = 11,
dt_gDay = 12, dt_gMonth = 13, dt_hexBinary = 14, dt_base64Binary = 15,
dt_anyURI = 16, dt_QName = 17, dt_NOTATION = 18, dt_normalizedString = 19,
dt_token = 20, dt_language = 21, dt_NMTOKEN = 22, dt_NMTOKENS = 23,
dt_Name = 24, dt_NCName = 25, dt_ID = 26, dt_IDREF = 27,
dt_IDREFS = 28, dt_ENTITY = 29, dt_ENTITIES = 30, dt_integer = 31,
dt_nonPositiveInteger = 32, dt_negativeInteger = 33, dt_long = 34, dt_int = 35,
dt_short = 36, dt_byte = 37, dt_nonNegativeInteger = 38, dt_unsignedLong = 39,
dt_unsignedInt = 40, dt_unsignedShort = 41, dt_unsignedByte = 42, dt_positiveInteger = 43,
dt_MAXCOUNT = 44
}

enum | XMLVersion { ver_10, ver_11 }
enum | Status { st_Init, st_InvalidRange, st_NoContent, st_NoCanRep, st_NoActVal, st_NotSupported, st_CantCreateRegEx, st_FOCA0002, st_FOCA0001, st_FOCA0003, st_FODT0003, st_UnknownType }
enum | DataGroup { dg_numerics, dg_datetimes, dg_strings }

## Public Methods

Destructor
| ~XSValue ()

## Static Public Methods

void | reinitMutex ()
void | reinitRegEx ()
void | reinitRegistry ()
Externalization methods
bool | validate (const XMLCh *const content, DataType datatype, Status &status, XMLVersion version=ver_10, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Validate a given string of the data type specified. More...
XMLCh * | getCanonicalRepresentation (const XMLCh *const content, DataType datatype, Status &status, XMLVersion version=ver_10, bool toValidate=true, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Get the canonical representation for a given string of the data type specified. More...
XSValue * | getActualValue (const XMLCh *const content, DataType datatype, Status &status, XMLVersion version=ver_10, bool toValidate=true, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Get the actual value, in the form of XSValue, for a given string of the data type specified. More...
DataType | getDataType (const XMLCh *const dtString)

## Public Attributes

struct {
DataType f_datatype
union {
bool f_bool
char f_char
unsigned char f_uchar
short f_short
unsigned short f_ushort
int f_int
unsigned int f_uint
long f_long
unsigned long f_ulong
float f_float
double f_double
XMLCh * f_strVal
struct decimal {
int f_sign
unsigned int f_scale
unsigned long f_integral
unsigned long f_fraction
double f_dvalue
} f_decimal
struct datetime {
int f_year
int f_month
int f_day
int f_hour
int f_min
int f_second
double f_milisec
} f_datetime
} fValue
} | fData
| public data. More...

## Member Enumeration Documentation

enum XSValue::DataGroup

Enumeration values:

  dg_numerics |
  dg_datetimes |
  dg_strings |

enum XSValue::DataType

Enumeration values:

  dt_string |
  dt_boolean |
  dt_decimal |
  dt_float |
  dt_double |
  dt_duration |
  dt_dateTime |
  dt_time |
  dt_date |
  dt_gYearMonth |
  dt_gYear |
  dt_gMonthDay |
  dt_gDay |
  dt_gMonth |
  dt_hexBinary |
  dt_base64Binary |
  dt_anyURI |
  dt_QName |
  dt_NOTATION |
  dt_normalizedString |
  dt_token |
  dt_language |
  dt_NMTOKEN |
  dt_NMTOKENS |
  dt_Name |
  dt_NCName |
  dt_ID |
  dt_IDREF |
  dt_IDREFS |
  dt_ENTITY |
  dt_ENTITIES |
  dt_integer |
  dt_nonPositiveInteger |
  dt_negativeInteger |
  dt_long |
  dt_int |
  dt_short |
  dt_byte |
  dt_nonNegativeInteger |
  dt_unsignedLong |
  dt_unsignedInt |
  dt_unsignedShort |
  dt_unsignedByte |
  dt_positiveInteger |
  dt_MAXCOUNT |

enum XSValue::Status

Enumeration values:

  st_Init |
  st_InvalidRange |
  st_NoContent |
  st_NoCanRep |
  st_NoActVal |
  st_NotSupported |
  st_CantCreateRegEx |
  st_FOCA0002 |
  st_FOCA0001 |
  st_FOCA0003 |
  st_FODT0003 |
  st_UnknownType |

enum XSValue::XMLVersion

Enumeration values:

  ver_10 |
  ver_11 |

## Constructor & Destructor Documentation

XSValue::~XSValue | ( |  | ) |

## Member Function Documentation

XSValue* XSValue::getActualValue | ( | const XMLCh *const | content,
|  | DataType | datatype,
|  | Status & | status,
|  | XMLVersion | version = ver_10,
|  | bool | toValidate = true,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager
| ) | `[static]`

Get the actual value, in the form of XSValue, for a given string of the data type specified.

Client application is responsible for the deleletion of the XSValue returned.

Parameters:

  content | raw data
  datatype | schema datatype
  status | validation status which is set upon validation fails
  version | xml version
  toValidate | to validate the content before generate actual value
  manager | memory manager provided

XMLCh* XSValue::getCanonicalRepresentation | ( | const XMLCh *const | content,
|  | DataType | datatype,
|  | Status & | status,
|  | XMLVersion | version = ver_10,
|  | bool | toValidate = true,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager
| ) | `[static]`

Get the canonical representation for a given string of the data type specified.

Parameters:

  content | raw data
  datatype | schema datatype
  status | validation status which is set upon validation fails
  version | xml version
  toValidate | to validate the content before generate canonical representation
  manager | memory manager provided

DataType XSValue::getDataType | ( | const XMLCh *const | dtString | ) | `[static]`

void XSValue::reinitMutex | ( |  | ) | `[static]`

void XSValue::reinitRegEx | ( |  | ) | `[static]`

void XSValue::reinitRegistry | ( |  | ) | `[static]`

bool XSValue::validate | ( | const XMLCh *const | content,
|  | DataType | datatype,
|  | Status & | status,
|  | XMLVersion | version = ver_10,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager
| ) | `[static]`

Validate a given string of the data type specified.

Parameters:

  content | data to be validated
  datatype | schema datatype
  status | validation status which is set upon validation fails
  version | xml version
  manager | memory manager provided

## Member Data Documentation

bool XSValue::f_bool

char XSValue::f_char

DataType XSValue::f_datatype

struct { ... } ::datetime XSValue::f_datetime

int XSValue::f_day

struct { ... } ::decimal XSValue::f_decimal

double XSValue::f_double

double XSValue::f_dvalue

float XSValue::f_float

unsigned long XSValue::f_fraction

int XSValue::f_hour

int XSValue::f_int

unsigned long XSValue::f_integral

long XSValue::f_long

double XSValue::f_milisec

int XSValue::f_min

int XSValue::f_month

unsigned int XSValue::f_scale

int XSValue::f_second

short XSValue::f_short

int XSValue::f_sign

XMLCh* XSValue::f_strVal

unsigned char XSValue::f_uchar

unsigned int XSValue::f_uint

unsigned long XSValue::f_ulong

unsigned short XSValue::f_ushort

int XSValue::f_year

struct { ... } XSValue::fData

| public data.

union { ... } XSValue::fValue

The documentation for this class was generated from the following file:

- XSValue.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.